#jinja2: trim_blocks: True, lstrip_blocks: True
server:
  http_listen_port: 9080
  grpc_listen_port: 0

positions:
  filename: {{ promtail_position_path }}

clients:
  - url: http://{{loki_ip}}:3100/loki/api/v1/push

scrape_configs:
{% for static_cfg in static_configs %}
- job_name: {{static_cfg.job_name}}
  static_configs:
  - targets: {{static_cfg.targets}}
    labels:
      __path__: {{static_cfg.labels.path}}
    {% if static_cfg.labels.additional_labels != {} %}
    {% for k, v in static_cfg.labels.additional_labels.items() %}
      {{k}}: {{v}}
    {%endfor%}
    {%endif%}
{% endfor %}

{%if use_custom_scrape_confs %}
{{ custom_scrape_confs | to_nice_yaml(indent=2) }}
{%endif%}

{%if file_sd_configs_enabled %}
{% for fsd_cfg in file_sd_configs %}
- job_name: {{fsd_cfg.job_name}}
  file_sd_configs:
  - files:
    {% for file in fsd_cfg.files %}
    - {{ file }}
    {%endfor%}
    refresh_interval: {{fsd_cfg.refresh_interval}}
{%endfor%}
{%endif%}
